Re: VLC player support

VLC seems to crash on at least some .mkv's with SVP, I only have one to test it on though.

27 (edited by Quenz 30-05-2016 06:10:03)

Re: VLC player support

The .mp4's I've downloaded from YouTube so far are warped on an angle.

https://i.imgur.com/IG6pzAc.png

Re: VLC player support

> The .mp4's I've downloaded from YouTube so far are warped on an angle.

any sample?

Re: VLC player support

Quenz
Look at frame width. Perhaps it not multiply by 16. Some renderers may give the same result as at your picture. Try to change crop factor to 8, 16 or 2: SVP tray menu - Application options - All settings... - frc.frame.align
Reopen Video after that in VLC.

Re: VLC player support

An important note that may save someone from the frustration that I have just experienced. When using the (replace 'deinterlace' filter) utility it only uses the libvapoursynth_plugin.30 even if you have vlc 2.0

Re: VLC player support

> it only uses the libvapoursynth_plugin.30 even if you have vlc 2.0

it definitely doesn't intend to work this way, VLC version is checked before the replacement, however that version check is OS-dependent
what OS and VLC version do you use?

Re: VLC player support

Chainik wrote:

> what OS and VLC version do you use?

Windows 10 Home x64 and vlc 2.2.4 x64

I just realized it could have been caused by the fact that I first installed the latest vlc 3.0 nightly build but it had graphical bugs in the gui so I uninstalled it and installed latest stable 2.2

SVP 4 is great I am loving it as it works much much better than the trumotion on my lg tv and truetheatre motion in powerdvd.

Do you know if it is possible to use SVP with the "live tv" portion of windows media center?https://i.gyazo.com/8f0d98f34848438ee4ffcaea17541698.png

Re: VLC player support

When using the stable release of VLC 2.2.4 on OS X 10.11.6, my video will freeze on a frame or VLC will crash when closing a video. I tried using the latest nightly from 18-Jul-2016 and manually loaded the libvapoursynth_plugin.dylib.30 plugin. The nightly version of VLC crashes right away when I turn deinterlace on.

Re: VLC player support

> When using the stable release of VLC 2.2.4

What about 2.2.3?
In other words - is it related to the specific VLC version?

Re: VLC player support

Chainik wrote:

What about 2.2.3?
In other words - is it related to the specific VLC version?

2.2.3 is less stable. It still quits when I close a video and if I skip around (option+arrow keys) it crashes. Can't pinpoint the freezing on frames, but last I saw of it, it would happen when making something fullscreen.

Re: VLC player support

VLC 3.0.0 for Windows nightlies are not supported starting from 2016-07-01
... the commit that broke SVP support

The last supported build is 2016-06-29: http://nightlies.videolan.org/build/win … 0629-0437/

====
ver. 0.9.0.87

= fixed "hang" on video pause
? may fix exchanged color channels in some cases
+ added support for 10-bit input

Re: VLC player support

Pausing has improved, though there is some audio drift when resuming. Awesome to see quick progress on this!

38 (edited by kzu 03-04-2017 21:12:41)

Re: VLC player support

I just can't make it work. VLC 3 64bit installed, svp4 installed, vlc packages from svp are installed. The tool to replace files doesn't work, and I just can't fix it by changing permissions, they should be ok. I tried to manually replace the dll files on vlc/plugins/video filters but the lib_vapoursynth file svp4 downloaded for me is version 22 and I think it should be 30. Anyway to manually download the correct file ? Also I have the latest version of VLC that was confirmed as working.

39 (edited by dlr5668 03-04-2017 21:17:07)

Re: VLC player support

kzu wrote:

I just can't make it work. VLC 3 64bit installed, svp4 installed, vlc packages from svp are installed. The tool to replace files doesn't work, and I just can't fix it by changing permissions, they should be ok. I tried to manually replace the dll files on vlc/plugins/video filters but the lib_vapoursynth file svp4 downloaded for me is version 22 and I think it should be 30. Anyway to manually download the correct file ? Also I have the latest version of VLC that was confirmed as working.

You shouldnt use it anyway. Just move to MPCHC / mpv / Potplayer / MPCQT

Re: VLC player support

two messages above - "VLC 3.0.0 for Windows nightlies are not supported starting from 2016-07-01"

so there's no point in providing plugin for 3.0 now
just use 2.2.4

41

Re: VLC player support

Chainik wrote:

two messages above - "VLC 3.0.0 for Windows nightlies are not supported starting from 2016-07-01"

so there's no point in providing plugin for 3.0 now
just use 2.2.4

Yeah, I just got the last supported version mentioned. But no worries, I just went back to 2.2.4 and it works fine now.

Re: VLC player support

I'm having a problem I can't find anyone else saying they've had.

I've followed the instructions carefully and I'm pretty sure I've done everything right, but when I turn Deinterlace on in VLC nothing happens and my SVP event log says the following in red:

14:20:27.496 [E]: VLC: Python exception: module 'vapoursynth' has no attribute 'UNKNOWN'\nTraceback (most recent call last):\n  File \src\cython\vapoursynth.pyx\, line 1491, in vapoursynth.vpy_evaluateScript (src\cython\vapoursynth.c:26905)\n  File \C:\Users\username\AppData\Roaming\SVP4\scripts\8d8.py\, line 56, in <module>\n    smooth = smooth.resize.Bicubic(format=vs.UNKNOWN)\nAttributeError: module 'vapoursynth' has no attribute 'UNKNOWN'\n
14:20:27.628 [E]: VLC: script evaluation failed

I have no idea what to do. I assume all the mentions of Vapoursynth means there's something wrong there, but I can't really figure out what or how to fix it. Can anyone help me?

I'm using VLC 2.2.4 x64, Python 3.5.1 and Vapoursynth R35 x64, and I put the correct 2.2 Vapoursynth DLL in VLC's plugins folder. Vapoursynth shows up in the Filters list in VLC.

Re: VLC player support

try this one and tell us what do you see in VLC's messages

it'll write one more information line into the VLC Messages window, like this:
> deinterlace info: input format: original 4cc: 0, vlc 4cc: 32315659, picture chroma: 32315659

Post's attachments

libvapoursynth_plugin.dll.22 828 kb, 491 downloads since 2017-04-28 

Re: VLC player support

It spammed the following non-stop in the Messages window:

deinterlace info: input format: original 4cc: 0, vlc 4cc: 30323449, picture chroma: 30323449

Re: VLC player support

hmmm, this's not really helpful

1. run VLC
2. open Messages window
3. open video
4. copy ALL the messages from the beginning (similar lines at the end is not necessary, obviously)
5. open SVP's events log and copy all messages starting from "VLC connected"

Re: VLC player support

Well it's working now. I'm not sure what changed; my system hasn't restarted or anything since I last tried... Thanks anyway, though.

Re: VLC player support

this's sad, I'd prefer to figure out what was wrong

Re: VLC player support

Yeah, it's a shame we didn't get to diagnose it first... I'm still curious even though it's working now. I'll come back if it stops working again.

49 (edited by Godmax 20-05-2017 16:15:56)

Re: VLC player support

Hallo smile

Is there somewhere a package with everything you need to get SVP via VLC to work? There is no way its working here.

First of all there is no SVP4/mpv64 folder anywhere so I cant set the path to that...

Secondly there are many vids with a profile settings window where you can select the smoothness and stuff and there is nothing like that in SVP 4 anymore?

I also tried to replace the python stuff and copied the dlls to system32 and restarted VLC and SVP but SVP NEVER activates. Doesnt work with MPC neither....

Thx in advance would really like to get the SVp activated somehow!

Re: VLC player support

> First of all there is no SVP4/mvp64 folder anywhere so I cant set the path to that...

https://www.svp-team.com/wiki/SVP:VLC wrote:

Not supported in SVP 4 Free!